# samsungpay

<br />

## DOCUMENTATION
---

<br />

### Build.Gradle -> app level


```
android {
  defaultConfig {
    minSdkVersion 22
  }
}
```
<br />

### ANDROID MANIFEST:

<br />

[ ] Add the following code in android manifest:
> FIELDS NEED TO BE UPDATED:
1. DEBUG_MODE
2. SPAY_DEBUG_API_KEY
3. SPAY_SDK_API_LEVEL

```
   <meta-data
            android:name="debug_mode"
            android:value="Y" /> //Y-Debug N-production
    <meta-data
                android:name="spay_debug_api_key"
                android:value="[add your debug key here]"/>
        <meta-data
                android:name="spay_sdk_api_level"
                android:value="2.15"/>
```


### Strings.xml:


> Required

```
<string name="gradle_product_id">[update key here]</string>

```

> These fields are optionals

```
<string name="amount_control_name_item">Item</string>
<string name="amount_control_name_tax">Tax</string>
<string name="amount_control_name_shipping">Shipping</string>

```

<br />



### AVAILABLE CURRENCIES
---

1. USD
2. INR
3. KRW
4. EUR
5. AUD
6. JPY
7. CNY
8. GBP
9. SGD
10. RUB
11. BRL
12. HKD
13. THB
14. CAD
15. MYR
16. CHF
17. SEK
18. TWD
19. AED


<br />

### CHECK SAMSUNG PAY AVAILABLE
---
```
final SamsungpayStatus sPayAvailable = await Samsungpay.isAvailable(spayServiceID);
```



<br />

### PAY WITH SAMSUNG PAY
---
```
dynamic data = (await Samsungpay.payNow(productAmount,taxAmount,shippingAmount,addedShippingAmount,addedBillingAmount,currency,merchantID,merchantName,orderNumber));
```
