package com.example.samsungpay;


import com.samsung.android.sdk.samsungpay.v2.payment.CustomSheetPaymentInfo.AddressInPaymentSheet;

class RequestAddressOptions {

    private AddressRequestListener mAddressRequestListener;

    // Address Display on the Payment Sheet, Default value from Merchant
    private AddressInPaymentSheet mAddressRequestType = AddressInPaymentSheet.DO_NOT_SHOW;

    RequestAddressOptions( AddressRequestListener listener) {
        init(listener);
    }

    private void init( final AddressRequestListener listener) {
        mAddressRequestListener = listener;
        mAddressRequestType = AddressInPaymentSheet.DO_NOT_SHOW;
        mAddressRequestListener.onChange(mAddressRequestType);
    }

    AddressInPaymentSheet getRequestAddressType() {
        return mAddressRequestType;
    }
}